## org.eclipse.datatools.sqltools.result.internal.ui.view
Class SingleWindowGridSection

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.ui.view.ResultSection
          org.eclipse.datatools.sqltools.result.internal.ui.view.SingleWindowModeSection
              org.eclipse.datatools.sqltools.result.internal.ui.view.SingleWindowGridSection

    public class SingleWindowGridSection

extends SingleWindowModeSection

Author:
  Dafan Yang

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.sqltools.result.internal.ui.view.ResultSection
`ResultSection.OutputThread`

Constructor Summary
`SingleWindowGridSection(org.eclipse.swt.widgets.Composite composite, IResultInstance instance, ResultsViewControl resultsViewControl)`
`SingleWindowGridSection(org.eclipse.swt.widgets.Composite composite, ResultsViewControl resultsViewControl)`

Method Summary
`void` `createInitialControl(org.eclipse.swt.widgets.Composite composite)` Creates the initial static tabs
`org.eclipse.swt.widgets.Composite` `getControl()` Returns the outer control of this UI section
`void` `onInstanceFinished()` Does some jobs when resultInstanceFinish event occurs for the current result instance, for example, when using single window display mode, we need to display the parameters at the end
`void` `onInstanceReseted()` Refreshes UI when resultInstanceReset event occurs for the current result instance
`void` `onNewItemAppended(ResultItem item, int index)` Shows the newly-appended result item (when resultInstanceAppended event occurs) for the current result instance

Methods inherited from class org.eclipse.datatools.sqltools.result.internal.ui.view.SingleWindowModeSection
`onParametersShown, showDetail`

Methods inherited from class org.eclipse.datatools.sqltools.result.internal.ui.view.ResultSection
`getRowCount, showResultSet, showTab, showTab`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleWindowGridSection

    public SingleWindowGridSection(org.eclipse.swt.widgets.Composite composite,
                                   ResultsViewControl resultsViewControl)

### SingleWindowGridSection

    public SingleWindowGridSection(org.eclipse.swt.widgets.Composite composite,
                                   IResultInstance instance,
                                   ResultsViewControl resultsViewControl)

Method Detail

### createInitialControl

    public void createInitialControl(org.eclipse.swt.widgets.Composite composite)

  Description copied from class: `SingleWindowModeSection`
  Creates the initial static tabs

  Parameters:
    `composite` - the parent composite

### onNewItemAppended

    public void onNewItemAppended(ResultItem item,
                                  int index)

  Description copied from class: `ResultSection`
  Shows the newly-appended result item (when resultInstanceAppended event occurs) for the current result instance

  Overrides:
    `onNewItemAppended` in class `ResultSection`
  Parameters:
    `item` - the newly-appended result item
    `index` - the index of this item

### getControl

    public org.eclipse.swt.widgets.Composite getControl()

  Description copied from class: `ResultSection`
  Returns the outer control of this UI section

  Overrides:
    `getControl` in class `SingleWindowModeSection`
  Returns:
    the outer composite

### onInstanceFinished

    public void onInstanceFinished()

  Description copied from class: `ResultSection`
  Does some jobs when resultInstanceFinish event occurs for the current result instance, for example, when using single window display mode, we need to display the parameters at the end

  Overrides:
    `onInstanceFinished` in class `SingleWindowModeSection`

### onInstanceReseted

    public void onInstanceReseted()

  Description copied from class: `ResultSection`
  Refreshes UI when resultInstanceReset event occurs for the current result instance

  Specified by:
    `onInstanceReseted` in class `ResultSection`